diff --unified --recursive --text blender.orig/intern/cycles/cmake/macros.cmake blender.new/intern/cycles/cmake/macros.cmake
--- blender.orig/intern/cycles/cmake/macros.cmake	2022-04-30 08:13:39.041194395 +0100
+++ blender.new/intern/cycles/cmake/macros.cmake	2022-04-30 10:34:06.021115498 +0100
@@ -123,13 +123,13 @@
     ${PLATFORM_LINKLIBS}
   )
 
-  if(WITH_CYCLES_DEVICE_CUDA OR WITH_CYCLES_DEVICE_OPTIX)
-    if(WITH_CUDA_DYNLOAD)
-      target_link_libraries(${target} extern_cuew)
-    else()
-      target_link_libraries(${target} ${CUDA_CUDA_LIBRARY})
-    endif()
-  endif()
+  #if(WITH_CYCLES_DEVICE_CUDA OR WITH_CYCLES_DEVICE_OPTIX)
+  #  if(WITH_CUDA_DYNLOAD)
+  #    target_link_libraries(${target} extern_cuew)
+  #  else()
+  #    target_link_libraries(${target} ${CUDA_CUDA_LIBRARY})
+  #  endif()
+  #endif()
 
   if(WITH_CYCLES_DEVICE_HIP AND WITH_HIP_DYNLOAD)
     target_link_libraries(${target} extern_hipew)
diff --unified --recursive --text blender.orig/intern/cycles/device/CMakeLists.txt blender.new/intern/cycles/device/CMakeLists.txt
--- blender.orig/intern/cycles/device/CMakeLists.txt	2022-04-30 08:13:39.041194395 +0100
+++ blender.new/intern/cycles/device/CMakeLists.txt	2022-04-30 12:06:47.791063426 +0100
@@ -22,20 +22,6 @@
   ../../../extern/clew/include
 )
 
-if(WITH_CYCLES_DEVICE_OPTIX OR WITH_CYCLES_DEVICE_CUDA)
-  if(WITH_CUDA_DYNLOAD)
-    list(APPEND INC
-      ../../../extern/cuew/include
-    )
-    add_definitions(-DWITH_CUDA_DYNLOAD)
-  else()
-    list(APPEND INC_SYS
-      ${CUDA_TOOLKIT_INCLUDE}
-    )
-    add_definitions(-DCYCLES_CUDA_NVCC_EXECUTABLE="${CUDA_NVCC_EXECUTABLE}")
-  endif()
-endif()
-
 if(WITH_CYCLES_DEVICE_HIP AND WITH_HIP_DYNLOAD)
   list(APPEND INC
     ../../../extern/hipew/include
@@ -64,21 +50,6 @@
   cpu/kernel_thread_globals.h
 )
 
-set(SRC_CUDA
-  cuda/device.cpp
-  cuda/device.h
-  cuda/device_impl.cpp
-  cuda/device_impl.h
-  cuda/graphics_interop.cpp
-  cuda/graphics_interop.h
-  cuda/kernel.cpp
-  cuda/kernel.h
-  cuda/queue.cpp
-  cuda/queue.h
-  cuda/util.cpp
-  cuda/util.h
-)
-
 set(SRC_HIP
   hip/device.cpp
   hip/device.h
@@ -104,30 +75,6 @@
   multi/device.h
 )
 
-set(SRC_METAL
-  metal/bvh.mm
-  metal/bvh.h
-  metal/device.mm
-  metal/device.h
-  metal/device_impl.mm
-  metal/device_impl.h
-  metal/kernel.mm
-  metal/kernel.h
-  metal/queue.mm
-  metal/queue.h
-  metal/util.mm
-  metal/util.h
-)
-
-set(SRC_OPTIX
-  optix/device.cpp
-  optix/device.h
-  optix/device_impl.cpp
-  optix/device_impl.h
-  optix/queue.cpp
-  optix/queue.h
-  optix/util.h
-)
 
 set(SRC_HEADERS
   device.h
@@ -141,13 +88,11 @@
 set(SRC
   ${SRC_BASE}
   ${SRC_CPU}
-  ${SRC_CUDA}
   ${SRC_HIP}
   ${SRC_DUMMY}
   ${SRC_MULTI}
-  ${SRC_OPTIX}
   ${SRC_HEADERS}
-)
+)  
 
 set(LIB
   cycles_kernel
@@ -155,18 +100,6 @@
   ${CYCLES_GL_LIBRARIES}
 )
 
-if(WITH_CYCLES_DEVICE_OPTIX OR WITH_CYCLES_DEVICE_CUDA)
-  if(WITH_CUDA_DYNLOAD)
-    list(APPEND LIB
-      extern_cuew
-    )
-  else()
-    list(APPEND LIB
-      ${CUDA_CUDA_LIBRARY}
-    )
-  endif()
-endif()
-
 if(WITH_CYCLES_DEVICE_HIP AND WITH_HIP_DYNLOAD)
   list(APPEND LIB
     extern_hipew
@@ -175,24 +108,9 @@
 
 add_definitions(${GL_DEFINITIONS})
 
-if(WITH_CYCLES_DEVICE_CUDA)
-  add_definitions(-DWITH_CUDA)
-endif()
 if(WITH_CYCLES_DEVICE_HIP)
   add_definitions(-DWITH_HIP)
 endif()
-if(WITH_CYCLES_DEVICE_OPTIX)
-  add_definitions(-DWITH_OPTIX)
-endif()
-if(WITH_CYCLES_DEVICE_METAL)
-  list(APPEND LIB
-    ${METAL_LIBRARY}
-  )
-  add_definitions(-DWITH_METAL)
-  list(APPEND SRC
-    ${SRC_METAL}
-  )
-endif()
 
 if(WITH_OPENIMAGEDENOISE)
   list(APPEND LIB
@@ -206,9 +124,6 @@
 cycles_add_library(cycles_device "${LIB}" ${SRC})
 
 source_group("cpu" FILES ${SRC_CPU})
-source_group("cuda" FILES ${SRC_CUDA})
 source_group("dummy" FILES ${SRC_DUMMY})
 source_group("multi" FILES ${SRC_MULTI})
-source_group("metal" FILES ${SRC_METAL})
-source_group("optix" FILES ${SRC_OPTIX})
 source_group("common" FILES ${SRC} ${SRC_HEADERS})
Only in blender.orig/intern/cycles/device: cuda
diff --unified --recursive --text blender.orig/intern/cycles/device/device.cpp blender.new/intern/cycles/device/device.cpp
--- blender.orig/intern/cycles/device/device.cpp	2022-04-30 08:13:39.041194395 +0100
+++ blender.new/intern/cycles/device/device.cpp	2022-04-30 12:07:02.051063293 +0100
@@ -24,12 +24,9 @@
 
 #include "device/cpu/device.h"
 #include "device/cpu/kernel.h"
-#include "device/cuda/device.h"
 #include "device/dummy/device.h"
 #include "device/hip/device.h"
-#include "device/metal/device.h"
 #include "device/multi/device.h"
-#include "device/optix/device.h"
 
 #include "util/foreach.h"
 #include "util/half.h"
Only in blender.orig/intern/cycles/device: metal
Only in blender.orig/intern/cycles/device: optix
diff --unified --recursive --text blender.orig/intern/cycles/kernel/CMakeLists.txt blender.new/intern/cycles/kernel/CMakeLists.txt
--- blender.orig/intern/cycles/kernel/CMakeLists.txt	2022-04-30 08:13:39.041194395 +0100
+++ blender.new/intern/cycles/kernel/CMakeLists.txt	2022-04-30 12:07:35.201062982 +0100
@@ -31,23 +31,10 @@
   device/cpu/kernel_avx2.cpp
 )
 
-set(SRC_KERNEL_DEVICE_CUDA
-  device/cuda/kernel.cu
-)
-
 set(SRC_KERNEL_DEVICE_HIP
   device/hip/kernel.cpp
 )
 
-set(SRC_KERNEL_DEVICE_METAL
-  device/metal/kernel.metal
-)
-
-set(SRC_KERNEL_DEVICE_OPTIX
-  device/optix/kernel.cu
-  device/optix/kernel_shader_raytrace.cu
-)
-
 set(SRC_KERNEL_DEVICE_CPU_HEADERS
   device/cpu/compat.h
   device/cpu/image.h
@@ -66,30 +53,12 @@
   device/gpu/work_stealing.h
 )
 
-set(SRC_KERNEL_DEVICE_CUDA_HEADERS
-  device/cuda/compat.h
-  device/cuda/config.h
-  device/cuda/globals.h
-)
-
 set(SRC_KERNEL_DEVICE_HIP_HEADERS
   device/hip/compat.h
   device/hip/config.h
   device/hip/globals.h
 )
 
-set(SRC_KERNEL_DEVICE_OPTIX_HEADERS
-  device/optix/compat.h
-  device/optix/globals.h
-)
-
-set(SRC_KERNEL_DEVICE_METAL_HEADERS
-  device/metal/compat.h
-  device/metal/context_begin.h
-  device/metal/context_end.h
-  device/metal/globals.h
-)
-
 set(SRC_KERNEL_CLOSURE_HEADERS
   closure/alloc.h
   closure/bsdf.h
@@ -354,179 +323,6 @@
 
 )
 
-# CUDA module
-
-if(WITH_CYCLES_CUDA_BINARIES)
-  # 64 bit only
-  set(CUDA_BITS 64)
-
-  # CUDA version
-  execute_process(COMMAND ${CUDA_NVCC_EXECUTABLE} "--version" OUTPUT_VARIABLE NVCC_OUT)
-  string(REGEX REPLACE ".*release ([0-9]+)\\.([0-9]+).*" "\\1" CUDA_VERSION_MAJOR "${NVCC_OUT}")
-  string(REGEX REPLACE ".*release ([0-9]+)\\.([0-9]+).*" "\\2" CUDA_VERSION_MINOR "${NVCC_OUT}")
-  set(CUDA_VERSION "${CUDA_VERSION_MAJOR}${CUDA_VERSION_MINOR}")
-
-  # warn for other versions
-  if((CUDA_VERSION MATCHES "101") OR
-     (CUDA_VERSION MATCHES "102") OR
-     (CUDA_VERSION MATCHES "111") OR
-     (CUDA_VERSION MATCHES "112") OR
-     (CUDA_VERSION MATCHES "113") OR
-     (CUDA_VERSION MATCHES "114"))
-  else()
-    message(WARNING
-      "CUDA version ${CUDA_VERSION_MAJOR}.${CUDA_VERSION_MINOR} detected, "
-      "build may succeed but only CUDA 10.1 to 11.4 are officially supported")
-  endif()
-
-  # build for each arch
-  set(cuda_sources device/cuda/kernel.cu
-    ${SRC_KERNEL_HEADERS}
-    ${SRC_KERNEL_DEVICE_GPU_HEADERS}
-    ${SRC_KERNEL_DEVICE_CUDA_HEADERS}
-    ${SRC_UTIL_HEADERS}
-  )
-  set(cuda_cubins)
-
-  macro(CYCLES_CUDA_KERNEL_ADD arch prev_arch name flags sources experimental)
-    if(${arch} MATCHES "compute_.*")
-      set(format "ptx")
-    else()
-      set(format "cubin")
-    endif()
-    set(cuda_file ${name}_${arch}.${format})
-
-    set(kernel_sources ${sources})
-    if(NOT ${prev_arch} STREQUAL "none")
-      if(${prev_arch} MATCHES "compute_.*")
-        set(kernel_sources ${kernel_sources} ${name}_${prev_arch}.ptx)
-      else()
-        set(kernel_sources ${kernel_sources} ${name}_${prev_arch}.cubin)
-      endif()
-    endif()
-
-    set(cuda_kernel_src "/device/cuda/${name}.cu")
-
-    set(cuda_flags ${flags}
-      -D CCL_NAMESPACE_BEGIN=
-      -D CCL_NAMESPACE_END=
-      -D NVCC
-      -m ${CUDA_BITS}
-      -I ${CMAKE_CURRENT_SOURCE_DIR}/..
-      -I ${CMAKE_CURRENT_SOURCE_DIR}/device/cuda
-      --use_fast_math
-      -o ${CMAKE_CURRENT_BINARY_DIR}/${cuda_file}
-      -Wno-deprecated-gpu-targets)
-
-    if(WITH_NANOVDB)
-      set(cuda_flags ${cuda_flags}
-        -D WITH_NANOVDB
-        -I "${NANOVDB_INCLUDE_DIR}")
-    endif()
-
-    if(WITH_CYCLES_DEBUG)
-      set(cuda_flags ${cuda_flags} -D WITH_CYCLES_DEBUG)
-    endif()
-
-    if(WITH_CYCLES_CUBIN_COMPILER)
-      string(SUBSTRING ${arch} 3 -1 CUDA_ARCH)
-
-      # Needed to find libnvrtc-builtins.so. Can't do it from inside
-      # cycles_cubin_cc since the env variable is read before main()
-      if(APPLE)
-        set(CUBIN_CC_ENV ${CMAKE_COMMAND}
-          -E env DYLD_LIBRARY_PATH="${cuda_toolkit_root_dir}/lib")
-      elseif(UNIX)
-        set(CUBIN_CC_ENV ${CMAKE_COMMAND}
-          -E env LD_LIBRARY_PATH="${cuda_toolkit_root_dir}/lib64")
-      endif()
-
-      add_custom_command(
-        OUTPUT ${cuda_file}
-        COMMAND ${CUBIN_CC_ENV}
-            "$<TARGET_FILE:cycles_cubin_cc>"
-            -target ${CUDA_ARCH}
-            -i ${CMAKE_CURRENT_SOURCE_DIR}${cuda_kernel_src}
-            ${cuda_flags}
-            -v
-            -cuda-toolkit-dir "${cuda_toolkit_root_dir}"
-        DEPENDS ${kernel_sources} cycles_cubin_cc)
-    else()
-      set(_cuda_nvcc_args
-            -arch=${arch}
-            ${CUDA_NVCC_FLAGS}
-            --${format}
-            ${CMAKE_CURRENT_SOURCE_DIR}${cuda_kernel_src}
-            --ptxas-options="-v"
-            ${cuda_flags})
-
-      if(WITH_COMPILER_CCACHE AND CCACHE_PROGRAM)
-        add_custom_command(
-          OUTPUT ${cuda_file}
-          COMMAND ${CCACHE_PROGRAM} ${cuda_nvcc_executable} ${_cuda_nvcc_args}
-          DEPENDS ${kernel_sources})
-      else()
-        add_custom_command(
-          OUTPUT ${cuda_file}
-          COMMAND ${cuda_nvcc_executable} ${_cuda_nvcc_args}
-          DEPENDS ${kernel_sources})
-      endif()
-
-      unset(_cuda_nvcc_args)
-    endif()
-    delayed_install("${CMAKE_CURRENT_BINARY_DIR}" "${cuda_file}" ${CYCLES_INSTALL_PATH}/lib)
-    list(APPEND cuda_cubins ${cuda_file})
-
-    unset(cuda_debug_flags)
-  endmacro()
-
-  set(prev_arch "none")
-  foreach(arch ${CYCLES_CUDA_BINARIES_ARCH})
-    if(${arch} MATCHES ".*_2.")
-      message(STATUS "CUDA binaries for ${arch} are no longer supported, skipped.")
-    elseif(${arch} MATCHES ".*_30")
-      if(DEFINED CUDA10_NVCC_EXECUTABLE)
-        set(cuda_nvcc_executable ${CUDA10_NVCC_EXECUTABLE})
-        set(cuda_toolkit_root_dir ${CUDA10_TOOLKIT_ROOT_DIR})
-      elseif(${CUDA_VERSION} LESS 110) # Support for sm_30 was removed in CUDA 11
-        set(cuda_nvcc_executable ${CUDA_NVCC_EXECUTABLE})
-        set(cuda_toolkit_root_dir ${CUDA_TOOLKIT_ROOT_DIR})
-      else()
-        message(STATUS "CUDA binaries for ${arch} require CUDA 10 or earlier, skipped.")
-      endif()
-    elseif(${arch} MATCHES ".*_7." AND ${CUDA_VERSION} LESS 100)
-      message(STATUS "CUDA binaries for ${arch} require CUDA 10.0+, skipped.")
-    elseif(${arch} MATCHES ".*_8.")
-      if(DEFINED CUDA11_NVCC_EXECUTABLE)
-        set(cuda_nvcc_executable ${CUDA11_NVCC_EXECUTABLE})
-        set(cuda_toolkit_root_dir ${CUDA11_TOOLKIT_ROOT_DIR})
-      elseif(${CUDA_VERSION} GREATER_EQUAL 111) # Support for sm_86 was introduced in CUDA 11
-        set(cuda_nvcc_executable ${CUDA_NVCC_EXECUTABLE})
-        set(cuda_toolkit_root_dir ${CUDA_TOOLKIT_ROOT_DIR})
-      else()
-        message(STATUS "CUDA binaries for ${arch} require CUDA 11.1+, skipped.")
-      endif()
-    else()
-      set(cuda_nvcc_executable ${CUDA_NVCC_EXECUTABLE})
-      set(cuda_toolkit_root_dir ${CUDA_TOOLKIT_ROOT_DIR})
-    endif()
-    if(DEFINED cuda_nvcc_executable AND DEFINED cuda_toolkit_root_dir)
-      # Compile regular kernel
-      CYCLES_CUDA_KERNEL_ADD(${arch} ${prev_arch} kernel "" "${cuda_sources}" FALSE)
-
-      if(WITH_CYCLES_CUDA_BUILD_SERIAL)
-        set(prev_arch ${arch})
-      endif()
-
-      unset(cuda_nvcc_executable)
-      unset(cuda_toolkit_root_dir)
-    endif()
-  endforeach()
-
-  add_custom_target(cycles_kernel_cuda ALL DEPENDS ${cuda_cubins})
-  cycles_set_solution_folder(cycles_kernel_cuda)
-endif()
-
 ####################################################### START
 
 # HIP module
@@ -604,96 +400,6 @@
 endif()
 
 ####################################################### END
-# OptiX PTX modules
-
-if(WITH_CYCLES_DEVICE_OPTIX AND WITH_CYCLES_CUDA_BINARIES)
-  macro(CYCLES_OPTIX_KERNEL_ADD name input flags)
-    set(output "${CMAKE_CURRENT_BINARY_DIR}/${name}.ptx")
-
-    set(cuda_flags ${flags}
-      -I "${OPTIX_INCLUDE_DIR}"
-      -I "${CMAKE_CURRENT_SOURCE_DIR}/.."
-      -I "${CMAKE_CURRENT_SOURCE_DIR}/device/cuda"
-      --use_fast_math
-      -Wno-deprecated-gpu-targets
-      -o ${output})
-
-    if(WITH_NANOVDB)
-      set(cuda_flags ${cuda_flags}
-        -D WITH_NANOVDB
-        -I "${NANOVDB_INCLUDE_DIR}")
-    endif()
-
-    if(WITH_CYCLES_DEBUG)
-      set(cuda_flags ${cuda_flags} -D WITH_CYCLES_DEBUG)
-    endif()
-
-    if(WITH_CYCLES_CUBIN_COMPILER)
-      # Needed to find libnvrtc-builtins.so. Can't do it from inside
-      # cycles_cubin_cc since the env variable is read before main()
-      if(APPLE)
-        set(CUBIN_CC_ENV ${CMAKE_COMMAND}
-          -E env DYLD_LIBRARY_PATH="${CUDA_TOOLKIT_ROOT_DIR}/lib")
-      elseif(UNIX)
-        set(CUBIN_CC_ENV ${CMAKE_COMMAND}
-          -E env LD_LIBRARY_PATH="${CUDA_TOOLKIT_ROOT_DIR}/lib64")
-      endif()
-
-      add_custom_command(
-        OUTPUT ${output}
-        DEPENDS
-          ${input}
-          ${SRC_KERNEL_HEADERS}
-          ${SRC_KERNEL_DEVICE_GPU_HEADERS}
-          ${SRC_KERNEL_DEVICE_CUDA_HEADERS}
-          ${SRC_KERNEL_DEVICE_OPTIX_HEADERS}
-          ${SRC_UTIL_HEADERS}
-        COMMAND ${CUBIN_CC_ENV}
-            "$<TARGET_FILE:cycles_cubin_cc>"
-            -target 50
-            -ptx
-            -i ${CMAKE_CURRENT_SOURCE_DIR}/${input}
-            ${cuda_flags}
-            -v
-            -cuda-toolkit-dir "${CUDA_TOOLKIT_ROOT_DIR}"
-        DEPENDS ${kernel_sources} cycles_cubin_cc)
-    else()
-      add_custom_command(
-        OUTPUT
-          ${output}
-        DEPENDS
-          ${input}
-          ${SRC_KERNEL_HEADERS}
-          ${SRC_KERNEL_DEVICE_GPU_HEADERS}
-          ${SRC_KERNEL_DEVICE_CUDA_HEADERS}
-          ${SRC_KERNEL_DEVICE_OPTIX_HEADERS}
-          ${SRC_UTIL_HEADERS}
-        COMMAND
-          ${CUDA_NVCC_EXECUTABLE}
-          --ptx
-          -arch=sm_50
-          ${cuda_flags}
-          ${input}
-        WORKING_DIRECTORY
-          "${CMAKE_CURRENT_SOURCE_DIR}")
-    endif()
-    list(APPEND optix_ptx ${output})
-
-    delayed_install("${CMAKE_CURRENT_BINARY_DIR}" "${output}" ${CYCLES_INSTALL_PATH}/lib)
-  endmacro()
-
-  CYCLES_OPTIX_KERNEL_ADD(
-    kernel_optix
-    "device/optix/kernel.cu"
-    "")
-  CYCLES_OPTIX_KERNEL_ADD(
-    kernel_optix_shader_raytrace
-    "device/optix/kernel_shader_raytrace.cu"
-    "--keep-device-functions")
-
-  add_custom_target(cycles_kernel_optix ALL DEPENDS ${optix_ptx})
-  cycles_set_solution_folder(cycles_kernel_optix)
-endif()
 
 # OSL module
 
@@ -741,17 +447,11 @@
 
 cycles_add_library(cycles_kernel "${LIB}"
   ${SRC_KERNEL_DEVICE_CPU}
-  ${SRC_KERNEL_DEVICE_CUDA}
   ${SRC_KERNEL_DEVICE_HIP}
-  ${SRC_KERNEL_DEVICE_OPTIX}
-  ${SRC_KERNEL_DEVICE_METAL}
   ${SRC_KERNEL_HEADERS}
   ${SRC_KERNEL_DEVICE_CPU_HEADERS}
   ${SRC_KERNEL_DEVICE_GPU_HEADERS}
-  ${SRC_KERNEL_DEVICE_CUDA_HEADERS}
   ${SRC_KERNEL_DEVICE_HIP_HEADERS}
-  ${SRC_KERNEL_DEVICE_OPTIX_HEADERS}
-  ${SRC_KERNEL_DEVICE_METAL_HEADERS}
 )
 
 source_group("bake" FILES ${SRC_KERNEL_BAKE_HEADERS})
@@ -759,11 +459,8 @@
 source_group("camera" FILES ${SRC_KERNEL_CAMERA_HEADERS})
 source_group("closure" FILES ${SRC_KERNEL_CLOSURE_HEADERS})
 source_group("device\\cpu" FILES ${SRC_KERNEL_DEVICE_CPU} ${SRC_KERNEL_DEVICE_CPU_HEADERS})
-source_group("device\\cuda" FILES ${SRC_KERNEL_DEVICE_CUDA} ${SRC_KERNEL_DEVICE_CUDA_HEADERS})
 source_group("device\\gpu" FILES ${SRC_KERNEL_DEVICE_GPU_HEADERS})
 source_group("device\\hip" FILES ${SRC_KERNEL_DEVICE_HIP} ${SRC_KERNEL_DEVICE_HIP_HEADERS})
-source_group("device\\optix" FILES ${SRC_KERNEL_DEVICE_OPTIX} ${SRC_KERNEL_DEVICE_OPTIX_HEADERS})
-source_group("device\\metal" FILES ${SRC_KERNEL_DEVICE_METAL} ${SRC_KERNEL_DEVICE_METAL_HEADERS})
 source_group("film" FILES ${SRC_KERNEL_FILM_HEADERS})
 source_group("geom" FILES ${SRC_KERNEL_GEOM_HEADERS})
 source_group("integrator" FILES ${SRC_KERNEL_INTEGRATOR_HEADERS})
@@ -773,12 +470,6 @@
 source_group("svm" FILES ${SRC_KERNEL_SVM_HEADERS})
 source_group("util" FILES ${SRC_KERNEL_UTIL_HEADERS})
 
-if(WITH_CYCLES_CUDA)
-  add_dependencies(cycles_kernel cycles_kernel_cuda)
-endif()
-if(WITH_CYCLES_DEVICE_OPTIX AND WITH_CYCLES_CUDA_BINARIES)
-  add_dependencies(cycles_kernel cycles_kernel_optix)
-endif()
 if(WITH_CYCLES_HIP)
   add_dependencies(cycles_kernel cycles_kernel_hip)
 endif()
@@ -789,15 +480,9 @@
 delayed_install(${CMAKE_CURRENT_SOURCE_DIR} "${SRC_KERNEL_BVH_HEADERS}" ${CYCLES_INSTALL_PATH}/source/kernel/bvh)
 delayed_install(${CMAKE_CURRENT_SOURCE_DIR} "${SRC_KERNEL_CAMERA_HEADERS}" ${CYCLES_INSTALL_PATH}/source/kernel/camera)
 delayed_install(${CMAKE_CURRENT_SOURCE_DIR} "${SRC_KERNEL_CLOSURE_HEADERS}" ${CYCLES_INSTALL_PATH}/source/kernel/closure)
-delayed_install(${CMAKE_CURRENT_SOURCE_DIR} "${SRC_KERNEL_DEVICE_CUDA}" ${CYCLES_INSTALL_PATH}/source/kernel/device/cuda)
-delayed_install(${CMAKE_CURRENT_SOURCE_DIR} "${SRC_KERNEL_DEVICE_CUDA_HEADERS}" ${CYCLES_INSTALL_PATH}/source/kernel/device/cuda)
 delayed_install(${CMAKE_CURRENT_SOURCE_DIR} "${SRC_KERNEL_DEVICE_GPU_HEADERS}" ${CYCLES_INSTALL_PATH}/source/kernel/device/gpu)
 delayed_install(${CMAKE_CURRENT_SOURCE_DIR} "${SRC_KERNEL_DEVICE_HIP}" ${CYCLES_INSTALL_PATH}/source/kernel/device/hip)
 delayed_install(${CMAKE_CURRENT_SOURCE_DIR} "${SRC_KERNEL_DEVICE_HIP_HEADERS}" ${CYCLES_INSTALL_PATH}/source/kernel/device/hip)
-delayed_install(${CMAKE_CURRENT_SOURCE_DIR} "${SRC_KERNEL_DEVICE_OPTIX}" ${CYCLES_INSTALL_PATH}/source/kernel/device/optix)
-delayed_install(${CMAKE_CURRENT_SOURCE_DIR} "${SRC_KERNEL_DEVICE_OPTIX_HEADERS}" ${CYCLES_INSTALL_PATH}/source/kernel/device/optix)
-delayed_install(${CMAKE_CURRENT_SOURCE_DIR} "${SRC_KERNEL_DEVICE_METAL}" ${CYCLES_INSTALL_PATH}/source/kernel/device/metal)
-delayed_install(${CMAKE_CURRENT_SOURCE_DIR} "${SRC_KERNEL_DEVICE_METAL_HEADERS}" ${CYCLES_INSTALL_PATH}/source/kernel/device/metal)
 delayed_install(${CMAKE_CURRENT_SOURCE_DIR} "${SRC_KERNEL_FILM_HEADERS}" ${CYCLES_INSTALL_PATH}/source/kernel/film)
 delayed_install(${CMAKE_CURRENT_SOURCE_DIR} "${SRC_KERNEL_GEOM_HEADERS}" ${CYCLES_INSTALL_PATH}/source/kernel/geom)
 delayed_install(${CMAKE_CURRENT_SOURCE_DIR} "${SRC_KERNEL_INTEGRATOR_HEADERS}" ${CYCLES_INSTALL_PATH}/source/kernel/integrator)
Only in blender.orig/intern/cycles/kernel/device: cuda
Only in blender.orig/intern/cycles/kernel/device: metal
Only in blender.orig/intern/cycles/kernel/device: optix
